DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementFeatureValid

Verify a measurement feature ID

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementFeatureValid ( measurement, featureID, verdict )

## FUNCTION

This function determines whether `featureID` is a valid measurement feature, by verifying whether `featureID` equals the ID of one of the registered measurement features. If `verdict` is not zero, the result (`DIP_TRUE` or `DIP_FALSE`) is stored in `verdict`, otherwise an error is returned in case the verification fails.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement feature ID to validated
`dip_Boolean *` | `verdict` | Pointer to the boolean verdict

## SEE ALSO

`Measure`, `MeasurementNew`, `MeasurementFeatures`, `MeasurementFeatureDescription`, `MeasurementFeatureRegister`, `MeasurementFeatureRegistryList`, `MeasurementFeatureRegistryGet`, `MeasurementFeatureRegistryFeatureDescription`, `MeasurementFeatureRegistryFeatureNeedsIntensityImage`